Name:	libmatecomponent
Version:	1.4.0
Release:	7%{?dist}
Summary:	Libraries for matecomponent package of MATE-Desktop
Group:		System Environment/Libraries
License:	LGPLv2+ and GPLv2+
URL:		http://vicodan.fedorapeople.org
Source0:	http://pub.mate-desktop.org/releases/1.4/%{name}-%{version}.tar.xz

BuildRequires:	byacc flex libxml2-devel mate-common mate-corba-devel popt-devel
Requires:	%{name}-libs%{?_isa} = %{version}-%{release}

%description
Libraries for matecomponent package of MATE-Desktop

%package libs
Summary:	Shared libraries for libmatecomponent
Requires:	%{name}%{?_isa} = %{version}-%{release}
BuildArch:	noarch

%description libs
Shared libraries for libmatecomponent

%package devel
Summary:	Development libraries for libmatecomponent
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	%{name}-libs%{?_isa} = %{version}-%{release}

%description devel
Development libraries and includes for libmatecomponent.

%prep
%setup -q
NOCONFIGURE=1 ./autogen.sh

%build
%configure --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
%find_lang %{name}
find %{buildroot} -name '*.la' -exec rm -f {} ';'
find %{buildroot} -name '*.a' -exec rm -f {} ';'

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig


%files -f %{name}.lang
%doc AUTHORS COPYING README
%config(noreplace) /etc/matecomponent-activation/matecomponent-activation-config.xml
%{_bindir}/matecomponent-activation-client
%{_bindir}/matecomponent-activation-run-query
%{_bindir}/matecomponent-echo-client-2
%{_bindir}/matecomponent-slay
%{_sbindir}/matecomponent-activation-sysconf
%{_libexecdir}/matecomponent-activation-server
%{_datadir}/gtk-doc/html/libmatecomponent/
%{_datadir}/gtk-doc/html/matecomponent-activation/*
%{_datadir}/man/man1/*
%{_datadir}/idl/matecomponent-2.0/*
%{_datadir}/idl/matecomponent-activation-2.0/*

%files devel
%{_libdir}/libmatecomponent-2.so
%{_libdir}/pkgconfig/libmatecomponent-2.0.pc
%{_libdir}/pkgconfig/matecomponent-activation-2.0.pc
%{_libdir}/libmatecomponent-activation.so
%{_includedir}/libmatecomponent-2.0/
%{_includedir}/matecomponent-activation-2.0/*

%files libs
%{_libdir}/libmatecomponent-2.so.0*
%{_libdir}/libmatecomponent-activation.so.4*


%changelog
* Fri Aug 10 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-7
- Remove extra post macros that were not needed.

* Fri Aug 10 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-6
- Move shared libs to libs package and all dev files to devel package.

* Fri Aug 10 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-5
- Fix files section to own the proper directories.

* Fri Aug 10 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-4
- Clean up spec file, and bump release version.

* Wed Aug 08 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-3
- Update build requirements.

* Sat Jul 14 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-2
- Switch back to pristine source

* Thu Jul 12 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-1
-Initial build
